vSphere 6.7 Upgrade – Dikkat Edilmesi Gerekenler

tarafından 30 Nisan 2018 tarihinde VMware, VMware ESXi, VMware vCenter kategorisine yazıldı.

Merhaba,

vSphere 6.7‘nin release olması ile artık yavaş yavaş upgrade senoryoları konuşulmaya başlanıyor. Ancak vSphere 6.7’ye geçiş öncesinde dikkat etmeniz gereken bazı detaylar bulunuyor. Yakın zamanda vSphere 5.5’in support’u sona erecek. vSphere 5.5‘in end of support tarihi geçtiğimiz aylarda tekrar değiştirildi. Normalde Temmuz ayında bitmesi gerekirken bu tarih Eylül ayına alındı.

vSphere 6.7’ye upgrade etmeye acele etmemeniz gerekiyor. Upgrade öncesinde bilmeniz gereken önemli detaylar var.

Şuanda vSphere 5.5 kullanıyorsanız vSphere 6.7 versiyonuna upgrade yapamazsınız. Yanlızca vSphere 6.0 ve vSphere 6.5 sürümlerinden upgrade yapılabileceğini unutmayın. Eğer vSphere 5.5 kullanıyorsanız öncelikle vSphere 6.0 veya vSphere 6.5 versiyonuna upgrade etmeniz gerekmektedir. Yapınızda vCenter Server 6.7 versiyonu var ise ESXi 5.5 ve önceki sürümlerini manage edemezsiniz. Buna dikkat etmelisiniz. Sadece vCenter Server 6.7 versiyonun kurup ESXi host’ları 5.5 veya 5.1 versiyonunda bırakırsanız bunları vCenter Server’a connect duruma getiremezsiniz. Bu neden ile vSphere 6.7 kurulumuna başlamadan önce yapınızda bulunan vCenter ve ESXi versiyonlarını kontrol edin. Ayrıca aşağıda belirtmiş olduğum CPU modelleri vSphere 6.7 ‘de desteklenmemektedir. Eğer bu CPU’ları kullanıyorsanız vSphere 6.7’yi kullanamazsınız, unsupported bir konfigurasyonunuz olmuş olur.

  • AMD Opteron 13xx Series
  • AMD Opteron 23xx Series
  • AMD Opteron 24xx Series
  • AMD Opteron 41xx Series
  • AMD Opteron 61xx Series
  • AMD Opteron 83xx Series
  • AMD Opteron 84xx Series
  • Intel Core i7-620LE Processor
  • Intel i3/i5 Clarkdale Series
  • Intel Xeon 31xx Series
  • Intel Xeon 33xx Series
  • Intel Xeon 34xx Clarkdale Series
  • Intel Xeon 34xx Lynnfield Series
  • Intel Xeon 35xx Series
  • Intel Xeon 36xx Series
  • Intel Xeon 52xx Series
  • Intel Xeon 54xx Series
  • Intel Xeon 55xx Series
  • Intel Xeon 56xx Series
  • Intel Xeon 65xx Series
  • Intel Xeon 74xx Series
  • Intel Xeon 75xx Series

Installation veya upgrade sırasında installer aynı zamanda compatibility check yapar. Eğer yukarıdaki CPU’ların birini kullanıyorsanız uyumsuzluk gibi uyarılar ile veya PSOD gibi ekran ile karşılaşabilirsiniz.

ESXi’i kuracağınız fiziksel donanım üzerindeki parçalara dikkat etmeniz gerekiyor. ESXi 6.7 ile birlikte bazı donanımlar support edilmemektedir. Bu donanımlar aşağıdaki gibidir.

PartnerDriverDevice IDsDevice Name 
Fujitsu Siemensmegaraid_sas1000:0060:1734:10f9Raid 5/6 based on LSI MegaRAID
IBMmegaraid_sas1000:0060:1014:0363IBM ServeRAID-MR10k SAS/SATA Controller
1000:0060:1014:0366LSI1078IR
1000:0060:1014:0395ServeRAID-AR10is SAS/SATA Controller
Intelmegaraid_sas1000:0060:8086:34e4Integrated Intel RAID Controller SROMBSASBN
1000:0060:8086:1013Intel RAID Controller SRCSASBB8I
1000:0060:8086:1006Intel RAID Controller SRCSASJV
1000:0060:8086:1021Intel RAID Controller SRCSASLS4I
1000:0060:8086:100aIntel RAID Controller SRCSASRB
1000:0060:8086:1010Intel RAID Controller SRCSATAWB
1000:0060:8086:34ccIntel RAID Controller SROMBSASFC
1000:0060:8086:34cdIntel RAID Controller SROMBSASFC
1000:0060:8086:3505Intel RAID Controller SROMBSASMP2
1000:0060:8086:3508Intel RAID Controller SROMBSASMR
LSImegaraid_sas1000:0060:1028:1f0aDELL PERC 6/E Adapter RAID Controller
1000:0060:1028:1f0bDELL PERC 6/i Adapter RAID Controller
1000:0060:1014:0364IBM ServeRAID-MR10i SAS/SATA Controller
1000:0060:1014:03a2IBM ServeRAID-MR10i SAS/SATA Controller
1000:0060:1014:03acIBM ServeRAID-MR10ie (CLOv) Controller
1000:0060:1014:0379IBM ServeRAID-MR10M SAS/SATA Controller
1000:0060:1014:0000IBM SystemX MegaRAID SAS 8708EM2
1000:0060:1014:0365IBM SystemX MegaRAID SAS 8884E
1000:0060:1000:1013LSI Logic MegaRAID SAS 8700EM2
1000:0060:1000:1012LSI Logic MegaRAID SAS 8704ELP
1000:0060:1000:1021LSI Logic MegaRAID SAS 8704EM2
1000:0060:1000:100fLSI Logic MegaRAID SAS 8708E
1000:0060:1000:100aLSI Logic MegaRAID SAS 8708ELP
1000:0060:1000:1022LSI Logic MegaRAID SAS 8708EM2-256
1000:0060:1000:1019LSI Logic MegaRAID SAS 8744ELP
1000:0060:1000:1017LSI Logic MegaRAID SAS 8744EM2
1000:0060:1000:1015LSI Logic MegaRAID SAS 8780EM2
1000:0060:1000:1014LSI Logic MegaRAID SAS 8800EM2
1000:0060:1000:101aLSI Logic MegaRAID SAS 8844ELP
1000:0060:1000:1018LSI Logic MegaRAID SAS 8844EM2
1000:0060:1000:100eLSI Logic MegaRAID SAS 8884E
1000:0060:1000:1006LSI Logic MegaRAID SAS 8888ELP
1000:0060:15d9:c080LSI Logic MegaRAID SAS PCI Express ROMB
1000:0060:1033:835aLSI Logic MegaRAID SAS PCI Express ROMB
1000:0060:1054:3019LSI Logic MegaRAID SAS PCI Express ROMB
1000:0060:1033:836aLSI Logic MegaRAID SAS PCI Express ROMB
1000:0060:0000:0000LSI Logic MegaRAID SAS1078R
1000:0060:1000:1011LSI Logic MegaRAID SATA 350-4ELP
1000:0060:1000:1010LSI Logic MegaRAID SATA 350-8ELP
1000:0060:1000:1016LSI MegaRAID SAS 8880EM2
1000:0060:18a1:0003LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2015LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2014LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2013LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2012LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2011LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2010LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2006LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2005LSI MegaRAID SAS PCI Express ROMB
1000:0060:1fca:2163LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2003LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2002LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2001LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2017LSI MegaRAID SAS PCI Express ROMB
1000:0060:17aa:6b7cLSI MegaRAID SAS PCI Express ROMB
1000:0060:1458:1000LSI MegaRAID SAS PCI Express ROMB
1000:0060:1170:0036LSI MegaRAID SAS PCI Express ROMB
1000:0060:1170:0034LSI MegaRAID SAS PCI Express ROMB
1000:0060:1170:002fLSI MegaRAID SAS PCI Express ROMB
1000:0060:1043:824dLSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2019LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:201aLSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2018LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2016LSI MegaRAID SAS PCI Express ROMB
1000:0060:1b0a:0014LSI MegaRAID SAS PCI Express ROMB
1000:0060:19e5:2004LSI MegaRAID SAS PCI Express ROMB
1000:0060:0000:0000MegaRAID 1078 RAID Controller
1000:0060:1734:1102Raid 5/6 based on LSI MegaRAID
1000:0060:1734:114bRaid 5/6 based on LSI MegaRAID
NECmegaraid_sas1000:0060:0000:0000NE3008-201
Compaqcciss0e11:b178:0e11:4083Smart Array 5312
0e11:b178:0e11:4082Smart Array 532
DELLsata_nv10de:037f:0000:0000nVidia MCP55 SATA Dell
NVIDIAsata_nv10de:037e:0000:0000MCP55 SATA Controller
10de:037f:0000:0000MCP55 SATA Controller
Sun Microsystemssata_nv10de:037f:0000:0000Nvidia MCP55 SATA Controller
10de:037f:108e:534bNvidia MCP55 SATA Controller

vSphere 6.7 upgrade’i için dikkat edilmesi gereken bölümleri kısaca toparlayacak olursak;

  • vSphere 5.5’den vSphere 6.7 versiyonuna doğrudan upgrade bulunmuyor.
  • vSphere 6.0 ve vSphere 6.7 versionu upgrade için gerekli olan minimum sürümdür.
  • vSphere 6.7 müşterilerin SSO site’larını belirtmesi gerektiren son sürümdür.
  • vSphere 6.7’de varsayılan olan yanlızca TLS 1.2 etkinleştirilmiştir. TLS 1.0 ve TLS 1.1 varsayılan olarak devre dışıdır.
  • VMFS6 metadata yapısında yapılan değişikliklerden dolayı VMFS5 datastore’dan VMFS6’ya upgrade yapamazsınız.
  • vSphere 6.7 sürümü, Windows vCenter Server için son sürümdür. Bundan sonra Windows için vCenter Server kullanılmayacaktır.
  • vCenter Server 6.7, 6.0 ‘dan daha düşük sürüme sahip olan host profile’ları desteklememektedir.
  • vCenter Server 6.7 Enhanced Linked Mode’u Embedded PSC ile support eder.
  • vSphere 6.7 upgrade öncesi eğer vSphere 6.5 yapısında VCHA kullanıyorsanız bunu kaldırmanız gerekmektedir.

Son olarak aşağıda belirteceğim sürümler şuan için vSphere 6.7 GA sürümü ile uyumlu değildir.

  • VMware Horizon
  • VMware NSX
  • VMware Integrated Openstack (VIO)
  • VMware vSphere Integrated Containers (VIC)

Umarım faydalı olmuştur.

İyi çalışmalar.

 

email

Bu yazı blog üzerinde Tayfun DEĞER tarafından paylaşılmıştır. 2009 yılında açılan blog kısa zaman içerisinde büyük bir izleyici kitlesine sahip olmuştur.Tayfun DEĞER danışmanlık ve eğitimler vermektedir. vExpert 2013-2017, VCP5, VCP5-DT, VCP-Cloud ve MCSE sertifikalarına sahiptir.Twitter 'dan @tayfundeger veya RSS ile sitedeki değişiklikleri takip edebilirsiniz.